Snow Leopard

J-Gray's picture

Well I finally went out and got Snow Leopard today. I was really looking forward to it because my computer is a little light on memory and I thought the smaller, more efficient operating system might help. I have a 20" iMac G5 that I bought in early 2007 and although it is far from new, I've always kept it up to date with the newest software.

Well... not anymore. As soon as I popped in the disc to start the install I learned what I didn't see in that tiny type on the side of the box. Snow Leopard can only be installed on Intel-based Macs. I already have Leopard and seeing as Snow Leopard was more of an update than a whole new OS, I assumed it would be fine. I was wrong.

The store will not return any opened software so I guess I'm stuck with it for now, at least it was only $29.99. Anyways, for anyone out there with a G5 or older Mac, don't bother with Snow Leopard, it will not work. I just thought I would share this because to me, it was not made obvious. I know this entry wasn't very type-related but if I had to throw in a last ditch effort the moral of the story would be, "Don't ignore the fine print, even if it is in 5 point Myriad at 40% black..."

Syndicate content Syndicate content